"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const date_fns_1 = require("date-fns");
const getEmptyRoadmap = (lastCalendarWeek, futureWeeks) => {
    // Sort the array by closedAt
    const emptyWeeks = [];
    let cptDays = 0;
    // We need to verify if the previous week is actually complete,
    // if yes, we need to set the first date as the first day of of the current week.
    const currentStartWeek = date_fns_1.formatISO(date_fns_1.startOfWeek(new Date()), {
        representation: 'date',
    });
    const currentDate = currentStartWeek === lastCalendarWeek.weekStart
        ? new Date(lastCalendarWeek.weekStart)
        : date_fns_1.startOfWeek(new Date());
    while (cptDays < futureWeeks * 7) {
        const weekEnd = date_fns_1.formatISO(date_fns_1.endOfWeek(currentDate), {
            representation: 'date',
        });
        const weekTxt = date_fns_1.getYear(date_fns_1.endOfWeek(currentDate)) + '.' + date_fns_1.getWeek(currentDate);
        if (emptyWeeks.find((week) => week.weekTxt === weekTxt) === undefined) {
            emptyWeeks.push({
                issues: { count: 0 },
                points: { count: 0 },
                weekStart: date_fns_1.formatISO(date_fns_1.startOfWeek(currentDate), {
                    representation: 'date',
                }),
                weekEnd: weekEnd,
                weekTxt: weekTxt,
            });
        }
        currentDate.setDate(currentDate.getDate() + 1);
        cptDays++;
    }
    return emptyWeeks;
};
exports.default = getEmptyRoadmap;
