"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const loadJsonFile = require("load-json-file");
const teamUtils_1 = require("../misc/teamUtils");
const teamVelocityFromCache = async (userConfig, cacheDir) => {
    const teamsVelocity = [];
    for (const team of userConfig.roadmap.teams) {
        const teamCacheFile = path.join(cacheDir, 'velocity-artifacts-' + teamUtils_1.getTeamId(team) + '.json');
        if (fs.existsSync(teamCacheFile)) {
            const teamVelocity = loadJsonFile.sync(teamCacheFile);
            teamsVelocity.push({
                team: team,
                velocity: teamVelocity.health.weeks.velocity,
            });
        }
    }
    return teamsVelocity;
};
exports.default = teamVelocityFromCache;
